## Table of Contents

 - Introduction
 - Requirements
 - Limitations
 - Installation
 - Configuration
 - Example

## Introduction
Drupal implementation of the [Choices.js](https://github.com/Choices-js/Choices)
plugin.

Choices is a vanilla, lightweight, configurable `<select>` input plugin, which
renders "selects" as boxes or lists, without utilizing jQuery.

A Demo of the Plugin can be seen [here](https://choices-js.github.io/Choices/).

## Requirements
This module requires the following libraries:

  - [Choices.js](https://choices-js.github.io/Choices/)

## Limitations
This module currently doesn't support `<select>` elements inside WYSIWYG Fields.

## Installation

### With composer

 - Ensure asset packagist has been set up for your project.
   - Vist
     https://www.drupal.org/docs/develop/using-composer/manage-dependencies#third-party-libraries
     for further informations.
 - Run `composer require bower-asset/choices.js drupal/choices`

### Without composer

 - Download the [Choices.js](https://github.com/jshjohnson/Choices) library to
   your project's `/libraries` directory.
 - Make sure the path to the relevant JS files is as followed:
   - `/libraries/choices.js/public/assets/scripts/choices.min.js`
   - `/libraries/choices.js/public/assets/styles/choices.min.css`
 - Install the module as you would normally install a contributed Drupal module.
 - Visit the [Installing Modules Help Page](https://www.drupal.org/node/1897420)
   if you have trouble installing the module.

## Configuration

The default configuration only targets the `<select>` elements with
the `multiple=multiple` attribute.

You can configure choices.js, by visiting Home -> Administration
-> Configuration -> User interface (/admin/config/user-interface/choices)

## Example

1. First go to Structure -> Content types, where you can either create a new
   content type with a text (list) field or add that field to an existing one.
     - Make sure, that in the field settings the allowed number
       of values are greater than 1 (if you are using the default "multiple"
       setting).

2. When creating a new node with the previous mentioned content type,
   you should be able to see the new styling and functionality on the
   list field.

